// Package org_accordproject_creativework_0_2_0 contains domain objects and was generated from Concerto namespace org.accordproject.creativework@0.2.0.
package org_accordproject_creativework_0_2_0
import "time"
import "org_accordproject_time_0_3_0";
import "org_accordproject_person_0_2_0";
import "org_accordproject_organization_0_2_0";
import "concerto_1_0_0";
   
type BookGenre int
const (
   Fantasy BookGenre = 1 + iota
   Romance
)
type Medium int
const (
   Audio Medium = 1 + iota
   Print
   Video
)
type CreativeWork struct {
   concerto_1_0_0.Concept
   Creators []Person `json:"creators"`
   DateCreated time.Time `json:"dateCreated"`
   Medium Medium `json:"medium"`
   Title string `json:"title"`
}
type Album struct {
   CreativeWork
   Songs []Song `json:"songs"`
}
type Book struct {
   CreativeWork
   Publisher Organization `json:"publisher"`
   Genre BookGenre `json:"genre"`
}
type MusicGenre int
const (
   Rock MusicGenre = 1 + iota
   Rap
   Country
   Pop
   Jazz
   Grime
   ThrashMetal
)
type Song struct {
   CreativeWork
   Duration Duration `json:"duration"`
   Genre MusicGenre `json:"genre"`
   Performers []Person `json:"performers"`
}
